﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">
    protected int add()    // get或post皆可接收
    {
        var s1 = Request.RequestType == "GET" ? Request.QueryString["number1"] : Request.Form["number1"];
        var s2 = Request.RequestType == "GET" ? Request.QueryString["number2"] : Request.Form["number2"];
        // The Form property is populated when the HTTP request Content-Type value is either "application/x-www-form-urlencoded" or "multipart/form-data".
        int number1, number2;
        if (int.TryParse(s1, out number1) && int.TryParse(s2, out number2))
        {
            return number1 + number2;
        }
        else throw new Exception("Your input is not a number.");
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <title>Your Result</title>
</head>
<body>
    <%=Request.RequestType == "GET" ? Request.QueryString["number1"] : Request.Form["number1"]%> + 
    <%=Request.RequestType == "GET" ? Request.QueryString["number2"] : Request.Form["number2"]%> = 
    <%=add()%> (<%=DateTime.Now%>)
    <!-- 本文件编码需为UTF-8+，否则中文乱码 -->
</body>
</html>
